Bug 739935 - Review Request: perl-Test-UseAllModules - Do use_ok() for all the MANIFESTed modules
Summary: Review Request: perl-Test-UseAllModules - Do use_ok() for all the MANIFESTed ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 739887
TreeView+ depends on / blocked
 
Reported: 2011-09-20 13:44 UTC by Petr Pisar
Modified: 2013-08-20 20:18 UTC (History)
3 users (show)

Fixed In Version: perl-Test-UseAllModules-0.13-1.fcf17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 09:06:53 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2011-09-20 13:44:48 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-Test-UseAllModules/perl-Test-UseAllModules.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Test-UseAllModules/perl-Test-UseAllModules-0.13-1.fc17.src.rpm
Description:
I'm sick of writing 00_load.t (or something like that) that'll do use_ok()
for every module I write. I'm sicker of updating 00_load.t when I add
another file to the distribution. This module reads MANIFEST to find modules
to be tested and does use_ok() for each of them. Now all you have to do is
update MANIFEST. You don't have to modify the test any more (hopefully).

Comment 1 Petr Šabata 2011-09-22 12:23:20 UTC
Package: perl-Test-UseAllModules
Version: 0.13
Release: 1.fc17
Sources: Test-UseAllModules-0.13.tar.gz
Patches: 
----------
Package successfully built locally.
Package successfully built in koji, dist-rawhide.

MUST items:
[  OK  ] Package does NOT include pre-built binaries or libraries
[  OK  ] Spec file is legible and written in American english
[  OK  ] Package successfully builds on at least one supported primary architecture
[  --  ] All ExcludeArch tags valid, referencing proper bug reports
[  OK  ] Package obeys FHS (with _libexecdir and /srv exceptions)
[  OK  ] No errors reported by rpmlint
[  OK  ] Changelog present and properly formatted
[  OK  ] Package does NOT include Packager, Vendor, Copyright or PreReq tags
[  OK  ] Source tags are working URLs and sources match upstream or justified otherwise
[  OK  ] Requires correct or justified otherwise
[  OK  ] BuildRequires correct or justified otherwise
[  OK  ] All file names are in proper UTF-8 encoding
[  OK  ] All plain text failes are in proper UTF-8 encoding
[  --  ] Large documentation files are located in doc subpackage
[  OK  ] All documentation prefixed with %doc
[  OK  ] Documentation is NOT executable
[  OK  ] No files in %doc are needed at run-time
[  --  ] Compiler flags honor Fedora defaults or are justified
[  --  ] Package generates useful debuginfo packages
[  --  ] Header files are placed in devel subpackage
[  --  ] Unversioned shared libraries are placed in devel subpackage
[  --  ] Pkgconfig files are placed in devel subpackage
[  --  ] Full-versioned Requires of the base package in subpackages
[  --  ] Package calls ldconfig in post and postun sections for all subpackages, if applicable
[  --  ] Static libraries are provided by static subpackage
[  OK  ] Package contains no static executables unless approved by FESCo
[  OK  ] Package does NOT bundle any system libraries
[  --  ] RPath not used for anything besides internal libraries
[  --  ] All config files are marked noreplace or justified otherwise
[  OK  ] No config files are located under /usr
[  --  ] Package contains working systemd unit files and requires systemd-units
[  --  ] All systemd unit files are named according to the Guidelines
[  --  ] Package contains a SystemV-compatible initscript only as an optional addition to systemd unit files
[  --  ] If package contains an initscript, it's placed in sysvinit subpackage
[  --  ] A GUI application installs a proper desktop file
[  --  ] All desktop files are installed by desktop-file-install or justified otherwise
[  OK  ] Package consistently uses macros
[  --  ] makeinstall macro is used only if make install DESTDIR=%{buildroot} does NOT work
[  --  ] Macros in Summary and description are expandable at build-time
[  OK  ] globals used in place of defines
[  --  ] Locales handled correctly -- package requires gettext and uses find_lang, if applicable
[  --  ] Scriptlets are sane
[  OK  ] Package is not relocatable unless justified
[  OK  ] Package contains only acceptable code or content
[  OK  ] Package owns all the files and directories it creates, installs and/or uses unless those are already owned by another package
[  OK  ] files sections do NOT contain duplicate files except for licenses
[  OK  ] Package does NOT cause any conflicts
[  OK  ] Package does NOT contain kernel modules
[  OK  ] Package does NOT bundle fonts or other general purpose data
[  OK  ] Final Requires and Provides are sane

SHOULD items:
[  OK  ] The Summary does NOT end with a period
[  OK  ] Package does NOT include BuildRoot tag, clean section or buildroot removal in install section
[  OK  ] Package should preserve files timestamps
[  OK  ] Package does NOT explicitly BuildRequire bash, bzip2, coreutils, cpio, diffutils, fedora-release, findutils, gawk, gcc, gcc-c++, grep, gzip, info, make, patch, redhat-rpm-config, rpm-build, sed, shadow-utils, tar, unzip, util-linux-ng, which or xz
[  OK  ] Description does NOT consist of lines longer than 80 characters
[  OK  ] Package uses parallel make
[  --  ] In case of a web application, package installs date into /usr/share instead of /var/www
[  --  ] All patches have a comment or an upstream bug link
[  --  ] Package installs manpages for all executables
[  OK  ] Package contains check section and all tests pass
[  ??  ] Package works as expected

NOTES:
------
No issues.  Approving.

Comment 2 Petr Pisar 2011-09-22 13:08:09 UTC
New Package SCM Request
=======================
Package Name: perl-Test-UseAllModules 
Short Description: Do use_ok() for all the MANIFESTed modules
Owners: ppisar mmaslano psabata
Branches: 
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2011-09-24 15:53:23 UTC
Git done (by process-git-requests).

Comment 4 Petr Pisar 2011-09-26 09:06:53 UTC
Thank you for the review and the repository.

Comment 5 Paul Howarth 2013-08-03 14:24:41 UTC
I'd like to see this in EPEL-5 and EPEL-6; I'm happy to maintain it there if you're not interested in EPEL (FAS: pghmcfc).

Comment 6 Petr Pisar 2013-08-03 14:31:39 UTC
Package Change Request
======================
Package Name: perl-Test-UseAllModules
New Branches: el5 el6
Owners: pghmcfc
InitialCC: perl-sig

Comment 7 Gwyn Ciesla 2013-08-05 12:12:47 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2013-08-05 12:58:03 UTC
perl-Test-UseAllModules-0.14-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Test-UseAllModules-0.14-5.el6

Comment 9 Fedora Update System 2013-08-05 12:58:14 UTC
perl-Test-UseAllModules-0.14-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Test-UseAllModules-0.14-5.el5

Comment 10 Fedora Update System 2013-08-20 18:18:05 UTC
perl-Test-UseAllModules-0.14-5.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2013-08-20 18:19:57 UTC
perl-Test-UseAllModules-0.14-5.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.